package net.t2code.autoresponse.Spigot.config.languages;

import net.t2code.autoresponse.Util;
import net.t2code.autoresponse.Spigot.Main;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.Plugin;

import java.io.File;
import java.io.IOException;

public class CreateMessages {
    private static Plugin plugin = Main.getPlugin();

    public static void langCreate() {
        send.debug(plugin,"§4Language files are created / updated...");
        Long long_ = Long.valueOf(System.currentTimeMillis());

        /**
         *
         * ENGLISH
         *
         */

        File messagesEN = new File(Main.getPath(), "languages/english_messages.yml");
        YamlConfiguration yamlConfigurationEN = YamlConfiguration.loadConfiguration(messagesEN);

        Config.set("Plugin.Reload.Start", MSG.EN_ReloadStart, yamlConfigurationEN);
        Config.set("Plugin.Reload.End", MSG.EN_ReloadEnd, yamlConfigurationEN);
        Config.set("Plugin.ForCommand", MSG.EN_NoPermissionForCommand, yamlConfigurationEN);

        try {
            yamlConfigurationEN.save(messagesEN);
        } catch (IOException e) {
            send.warning(plugin,e.getMessage());
            e.printStackTrace();
        }

        /**
         *
         * GERMAN
         *
         */


        File messagesDE = new File(Main.getPath(), "languages/german_messages.yml");
        YamlConfiguration yamlConfigurationDE = YamlConfiguration.loadConfiguration(messagesDE);

        Config.set("Plugin.Reload.Start", MSG.DE_ReloadStart, yamlConfigurationDE);
        Config.set("Plugin.Reload.End", MSG.DE_ReloadEnd, yamlConfigurationDE);
        Config.set("Plugin.ForCommand", MSG.DE_NoPermissionForCommand, yamlConfigurationDE);

        try {
            yamlConfigurationDE.save(messagesDE);
        } catch (IOException e) {
            send.warning(plugin,e.getMessage());
            e.printStackTrace();
        }

        send.console(Util.getPrefix() + " §2Language files were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
